<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE locators (
                id                          BIGINT GENERATED always AS IDENTITY PRIMARY KEY,

                plant_id                    BIGINT NOT NULL,

                locator_number              TEXT NOT NULL,
                locator_quantity            INT NOT NULL DEFAULT (0),

                created_at                  TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at                  TIMESTAMP NOT NULL DEFAULT NOW(),
                deleted_at                  TIMESTAMP,

                operator_id                 TEXT NOT NULL,

                FOREIGN KEY (plant_id)      REFERENCES  plants (id)
            );
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('locators');
    }
};
